#!/bin/sh

#
# $File: //depot/main/ticWorkspaceGadget/install.sh $
# $Revision: #4 $
# $Date: 2004/09/18 $
#

self=$(dirname "$0")

ans=$(alert "ticWorkspaceGadget will now be installed, previous versions deleted." "OK" "Cancel")
if [ "$ans" == "Cancel" ]; then
	exit
fi

addons=$(finddir B_USER_ADDONS_DIRECTORY)/input_server/filters

if [ ! -d "$addons" ]; then
	mkdir -p "$addons"
fi

cp -f "$self/ticWorkspaceGadget.filter" "$addons"
rm "$addons/pWarp"


ans=$(alert "Installation completed!

NOTE! On some systems input_server fails to restart, so you might want to completely reboot your system instead!

Restart Input Server?" "OK" "Cancel")
if [ "$ans" == "Cancel" ]; then
	exit
else
	/system/servers/input_server -q
fi
alert "Installation finished!" "OK"